CREATE TABLE users (
    id char(26),
    email text,
    name text,
    password text
);

-- name: GetUserByUsername :one
SELECT * FROM users
WHERE email = $1;

-- name: GetUser :one
SELECT * FROM users
WHERE id = $1;

-- name: CreateUser :one
INSERT INTO users
(id, email, name, password)
VALUES ($1, $2, $3, $4)
RETURNING *;